Bug 1984 - vzlist not show swappages
vzlist not show swappages
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzctl
unspecified
Other Other
: P2 normal
Assigned To: Kir Kolyshkin
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-13 00:23 EDT by Slava Dubrovskiy
Modified: 2015-03-17 12:02 EDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Slava Dubrovskiy 2011-09-13 00:23:40 EDT
vzlist not show swappages

[root@ua83 slava]# vzlist -o physpages,physpages.l,swappages,swappages.l 1013
     PHYSP    PHYSP.L      SWAPP    SWAPP.L
    262124     262144          0          0
[root@ua83 slava]# cat /proc/bc/1013/resources | egrep swapp\|physp
            physpages                  262095               263800                    0               262144                    0
            swappages                    4110                 4644                    0               524288                    0
Comment 1 Kir Kolyshkin 2011-09-16 04:35:08 EDT
This is because it reads /proc/user_beancounters.

Need to fix it trying to read /proc/bc/resources first
Comment 2 Kir Kolyshkin 2011-09-16 10:57:36 EDT
Fixed in GIT:
http://git.openvz.org/?p=vzctl;a=commit;h=8b490bfeac05b03510d899667356331265af26c4

Will be available in vzctl >= 3.0.30
Comment 3 Kir Kolyshkin 2011-09-16 13:24:21 EDT
Fixed in vzctl-3.0.29.1
Comment 4 Sergey Bronnikov 2015-03-17 12:02:20 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.